Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/HeuristicLab.Problems.ExternalEvaluation.Matlab-3.3.csproj
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/HeuristicLab.Problems.ExternalEvaluation.Matlab-3.3.csproj	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/HeuristicLab.Problems.ExternalEvaluation.Matlab-3.3.csproj	(revision 16462)
@@ -83,5 +83,5 @@
       <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
     </Reference>
-    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
+    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <HintPath>..\..\packages\HEAL.Fossil.1.0.0\lib\netstandard2.0\HEAL.Fossil.dll</HintPath>
     </Reference>
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterOptimizationProblem.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterOptimizationProblem.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterOptimizationProblem.cs	(revision 16462)
@@ -24,10 +24,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.ParameterOptimization;
 
 namespace HeuristicLab.Problems.ExternalEvaluation.Matlab {
   [Item("MATLAB Parameter Optimization Problem", "Optimization of a parameter vector which is evaluated in MATLAB.")]
-  [StorableClass]
+  [StorableType("CC937102-7280-484C-BB85-88C357E31C6B")]
   [Creatable(CreatableAttribute.Categories.ExternalEvaluationProblems, Priority = 110)]
   public class MatlabParameterOptimizationProblem : ParameterOptimizationProblem {
@@ -62,5 +62,5 @@
 
     [StorableConstructor]
-    protected MatlabParameterOptimizationProblem(bool deserializing) : base(deserializing) { }
+    protected MatlabParameterOptimizationProblem(StorableConstructorFlag _) : base(_) { }
     protected MatlabParameterOptimizationProblem(MatlabParameterOptimizationProblem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterVectorEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterVectorEvaluator.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation.Matlab/3.3/MatlabParameterVectorEvaluator.cs	(revision 16462)
@@ -27,10 +27,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.ParameterOptimization;
 
 namespace HeuristicLab.Problems.ExternalEvaluation.Matlab {
   [Item("MATLABParameterVectorEvaluator", "An evaluator which takes a parameter vector and returns a quality value, calculated by a MATLAB script.")]
-  [StorableClass]
+  [StorableType("C1BE88E2-B48F-4EB6-9F9F-25082639DA5C")]
   public sealed class MatlabParameterVectorEvaluator : ParameterVectorEvaluator {
     private const string QualityVariableParameterName = "QualityVariableName";
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private MatlabParameterVectorEvaluator(bool deserializing) : base(deserializing) { }
+    private MatlabParameterVectorEvaluator(StorableConstructorFlag _) : base(_) { }
     private MatlabParameterVectorEvaluator(MatlabParameterVectorEvaluator original, Cloner cloner)
       : base(original, cloner) {
